# -*- coding: utf-8 -*-
from setuptools import setup

package_dir = \
{'': 'src'}

packages = \
['core', 'core.cli', 'core.executor', 'core.lib', 'core.test', 'core.util']

package_data = \
{'': ['*']}

install_requires = \
['dill>=0.3.5',
 'networkx>=2.6.3,<2.7.0',
 'nr.io.graphviz>=0.1.1,<0.2.0',
 'nr.python.environment>=0.1.4,<0.2.0',
 'setuptools>=33.1.0',
 'termcolor>=1.1.0,<2.0.0',
 'typeapi>=0.2.1,<0.3.0',
 'typing-extensions>=3.10.0.2']

extras_require = \
{'testing': ['pytest>=6.0.0']}

entry_points = \
{'console_scripts': ['kraken = kraken.core.cli.main:main'],
 'pytest11': ['kraken.core.test = kraken.core.test']}

setup_kwargs = {
    'name': 'kraken-core',
    'version': '0.9.4',
    'description': '',
    'long_description': "# kraken-core\n\n[![Python application](https://github.com/kraken-build/kraken-core/actions/workflows/python-package.yml/badge.svg)](https://github.com/kraken-build/kraken-core/actions/workflows/python-package.yml)\n[![PyPI version](https://badge.fury.io/py/kraken-core.svg)](https://badge.fury.io/py/kraken-core)\n\n__The Kraken build system.__\n\nKraken focuses on ease of use and simplicity to model complex task orchestration workflows.\n\n__Reproducible build environments__\n\nWe recommend that you use `krakenw` to invoke Kraken builds instead of the `kraken` cli directly to ensure that you\nhave an isolated and reproducible build environment. Install the kraken wrapper cli via the `kraken-wrapper` package\nand define your build requirements at the top of your `.kraken.py` build script:\n\n```\n# ::requirements kraken-std>=0.3.0\nfrom kraken.std.cargo import cargo_build\ncargo_build()\n```\n\n__Vendored packages__\n\nWe're vendoring a number of third party packages for the purpose of reducing the burden of package resolution\nat installation time. This is particularly relevant for using Kraken in continuous integration systems to improve\nresolve times and PEX size.\n\n* `networkx`\n* `nr.io.graphviz`\n* `nr.python.environment`\n* `termcolor`\n* `types-termcolor`\n* `typeapi`\n",
    'author': 'Niklas Rosenstein',
    'author_email': 'rosensteinniklas@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'package_dir': package_dir,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'extras_require': extras_require,
    'entry_points': entry_points,
    'python_requires': '>=3.7,<4.0',
}


setup(**setup_kwargs)
